1. The Busy Executive's Database Guide, You Can Combat Computer Stress!
213-46-8915 (au_id)
BU1032 (title_id)
BU2075 (title_id)

2. Cooking with Computers, N/A
267-41-2394 (au_id)
BU1111 (title_id)
TC7777 (title_id)

3. Marjorie Green, Abraham Bennet
BU1032 (title_id)
213-46-8915 (au_id)
409-56-7008 (au_id)

4. Algodata Infosystems
PC1035 (au_id)
1389 (pub_id)

5. The Busy Executive's Database Guide, Cooking with Computers, Straight Talk About Computers, But Is It User Friendly?, Secrets of Silicon Valley, Net Etiquette
1389 (pub_id)